Macro hinge: Difference between revisions

From FreeCAD Documentation
(Use {{MacroCode}})
(Fixed wrong icon name.)
 
Line 22: Line 22:


<!--T:5-->
<!--T:5-->
Open the 2 files (20140908b_Hinge-1.FCMacro and 20140908b_Hinge-1.FCStd) in FreeCAD with 2 screens (Menu: Windows > Tile) and click in the window and the macro and click F6 (debug macro) to run the macro or run the macro with [[File:Macro-execute.svg]]
Open the 2 files (20140908b_Hinge-1.FCMacro and 20140908b_Hinge-1.FCStd) in FreeCAD with 2 screens (Menu: Windows > Tile) and click in the window and the macro and click F6 (debug macro) to run the macro or run the macro with [[File:Std_DlgMacroExecuteDirect.svg]]


<!--T:6-->
<!--T:6-->

Latest revision as of 12:31, 15 June 2020

Other languages:

Simulates hinge movement

Description
Hinge simulation.

Macro version: 1.0
Last modified: 2014-09-09
FreeCAD version: All
Download: The File 20140908b_Hinge-1.fcstd
ToolBar Icon
Author: Mario52
Author
Mario52
Download
The File 20140908b_Hinge-1.fcstd
ToolBar Icon
Links
Macro Version
1.0
Date last modified
2014-09-09
FreeCAD Version(s)
All
Default shortcut
None
See also
None

Description

Simulates hinge movement

Uses

Open the 2 files (20140908b_Hinge-1.FCMacro and 20140908b_Hinge-1.FCStd) in FreeCAD with 2 screens (Menu: Windows > Tile) and click in the window and the macro and click F6 (debug macro) to run the macro or run the macro with

The File

20140908b_Hinge-1.fcstd

Script

ToolBar Icon

20140908b_Hinge-1.FCMacro

import FreeCAD, FreeCADGui, Draft, Part
from FreeCAD import Base
import time

ii = 0
pas = 0
for ii2 in range(180):
    if pas == 0:
        if ii > 90:
            pas = 1
        ii += 5
    else:
        if ii < 1:
            pas = 0
        ii -= 5
   
    App.getDocument("_0140908b_Hinge_1").Fusion.Placement=App.Placement(App.Vector(0,0,0), App.Rotation(App.Vector(0,0,1),ii), App.Vector(44.4,6.9,0))
    App.Console.PrintMessage(str(ii2)+"  " + str(ii)+"  " + str(pas) +"\n")
    Gui.updateGui()
    time.sleep(0) #modify the time here


Link

The discussion page Struggling with LinearPattern (again)